org.apache.ignite.internal.processors.platform.cpp

## Class PlatformCppConfigurationEx

- java.lang.Object
- - org.apache.ignite.platform.cpp.PlatformCppConfiguration
  - - org.apache.ignite.internal.processors.platform.cpp.PlatformCppConfigurationEx

All Implemented Interfaces:
  PlatformConfiguration, PlatformConfigurationEx

    public class PlatformCppConfigurationEx
    extends PlatformCppConfiguration
    implements PlatformConfigurationEx

Internal interop CPP configuration.

### Constructor Summary

Constructors
Constructor and Description
`PlatformCppConfigurationEx(PlatformCppConfiguration cfg, PlatformCallbackGateway gate, PlatformMemoryManagerImpl memMgr)` Copy constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Collection<PlatformCacheExtension>` `cacheExtensions()`
`PlatformCallbackGateway` `gate()`
`PlatformLogger` `logger()`
`PlatformMemoryManagerImpl` `memory()`
`String` `platform()`
`Collection<String>` `warnings()`
`void` `warnings(Collection<String> warnings)`

### Methods inherited from class org.apache.ignite.platform.cpp.PlatformCppConfiguration

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformCppConfigurationEx

    public PlatformCppConfigurationEx(PlatformCppConfiguration cfg,
                                      PlatformCallbackGateway gate,
                                      PlatformMemoryManagerImpl memMgr)

Copy constructor.

Parameters:
  `cfg` - Configuration to copy.
  `gate` - Native gateway.
  `memMgr` - Memory manager.

### Method Detail

#### gate

    public PlatformCallbackGateway gate()

Specified by:
  `gate` in interface `PlatformConfigurationEx`

#### memory

    public PlatformMemoryManagerImpl memory()

Specified by:
  `memory` in interface `PlatformConfigurationEx`
Returns:
  Memory manager.

#### platform

    public String platform()

Specified by:
  `platform` in interface `PlatformConfigurationEx`
Returns:
  Platform name.

#### warnings

    public Collection<String> warnings()

Specified by:
  `warnings` in interface `PlatformConfigurationEx`
Returns:
  Warnings to be displayed on grid start.

#### logger

    public PlatformLogger logger()

Specified by:
  `logger` in interface `PlatformConfigurationEx`
Returns:
  Platform logger.

#### cacheExtensions

    @Nullable
    public @Nullable Collection<PlatformCacheExtension> cacheExtensions()

Specified by:
  `cacheExtensions` in interface `PlatformConfigurationEx`
Returns:
  Available cache extensions.

#### warnings

    public void warnings(Collection<String> warnings)

Parameters:
  `warnings` - Warnings.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020